<?xml version="1.0" encoding="utf-8"?>
<page xmlns="http://projectmallard.org/1.0/" xmlns:its="http://www.w3.org/2005/11/its" xmlns:xi="http://www.w3.org/2001/XInclude" type="guide" style="task" id="aboutdialog.vala" xml:lang="cs">
  <info>
  <title type="text">AboutDialog (Vala)</title>
    <link type="guide" xref="beginner.vala#windows"/>
    <link type="seealso" xref="button.vala"/>
    <link type="seealso" xref="linkbutton.vala"/>
    <revision version="0.1" date="2012-04-07" status="stub"/>

    <credit type="author copyright">
      <name>Ryan Lortie</name>
      <email its:translate="no">desrt@desrt.ca</email>
      <years>2012</years>
    </credit>

    <credit type="author">
      <name>Tiffany Antopolski</name>
      <email its:translate="no">tiffany.antopolski@gmail.com</email>
    </credit>


    <desc>Zobrazuje informace o aplikaci</desc>
  </info>

  <title>AboutDialog</title>
  <media type="image" mime="image/png" src="media/aboutdialog_GMenu.png"/>
  <p>Příklad s AboutDialog, který používá Gtk.ApplicationWindow a Menu</p>
  <note><p><em style="bold">Musíte používat Gtk 3.4 nebo novější, aby tento příklad fungoval.</em></p></note>

<code mime="text/x-csharp" style="numbered">/* Okno v aplikaci */
public class Window : Gtk.ApplicationWindow {

	/* Konstruktor */
	public Window (Application app) {
		Object (application: app, title: "AboutDialog Example");

		var about_action = new SimpleAction ("about", null);

		about_action.activate.connect (this.about_cb);
		this.add_action (about_action);
		this.show_all ();
	}

	/* Toto je funkce zpětného volání napojená na signál "activate"
	 * od SimpleAction about_action.
	 */
	void about_cb (SimpleAction simple, Variant? parameter) {
		string[] authors = { "GNOME Documentation Team", null };
		string[] documenters = { "GNOME Documentation Team", null };

		Gtk.show_about_dialog (this,
                               "program-name", ("GtkApplication Example"),
                               "copyright", ("Copyright \xc2\xa9 2012 GNOME Documentation Team"),
                               "authors", authors,
                               "documenters", documenters,
                               "website", "http://developer.gnome.org",
                               "website-label", ("GNOME Developer Website"),
                               null);
	}
}

/* Toto je aplikace */
public class Application : Gtk.Application {

	/* Zde se přepíše signál "activate" z GLib.Application */
	protected override void activate () {
		new Window (this);
	}

	/* Zde se přepíše signál "startup" z GLib.Application */
	protected override void startup () {

		base.startup ();

		var menu = new Menu ();
		menu.append ("About", "win.about");
		menu.append ("Quit", "app.quit");
		this.app_menu = menu;

		var quit_action = new SimpleAction ("quit", null);
		//quit_action.activate.connect (this.quit);
		this.add_action (quit_action);
	}

	/* Konstruktor */
	public Application () {
		Object (application_id: "org.example.application");
	}
}

/* Funkce main vytvoří aplikaci a spustí ji */
int main (string[] args) {
	return new Application ().run (args);
}
</code>
<p>V této ukázce se používá následující:</p>
<list>
  <item><p><link href="http://www.valadoc.org/gtk+-3.0/Gtk.Application.html">Gtk.Application</link></p></item>
  <item><p><link href="http://www.valadoc.org/gtk+-3.0/Gtk.ApplicationWindow.html">Gtk.ApplicationWindow</link></p></item>
  <item><p><link href="http://www.valadoc.org/gtk+-3.0/Gtk.Window.set_default_size.html">set_default_size</link></p></item>
</list>
</page>
